#include <bits/stdc++.h>
using namespace std;
int main(){
	long long k;
	cin>>k;
	long long a;
	long long cnt=0;
	while (k!=0){
		a=k%10;
		if (a==0 && (cnt==0 || cnt==k)){
			k/=10;
		}
		else if (a==5){
			cout<<2;
			k/=10;
		}
		else if (a==2){
			cout<<5;
			k/=10;
		}
		else{
			cout<<a;
			k/=10;
		}
		cnt++;
	}
		
}

